upgrading from Accumulo 1.8.1 to 1.9.2

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

upgrading from Accumulo 1.8.1 to 1.9.2

Thomas Adam
Hi,

I was wondering if it is possible to do a rolling upgrade of Accumulo
from 1.8.1 to 1.9.2. It says that 1.9.x adds additional API calls and
bug fixes, so I wasn't sure if I need to shut down the whole cluster to
do the upgrade and it doesn't seem to mention this upgrade in the
documentation online.

Thank you for your time,

Thomas

Reply | Threaded
Open this post in threaded view
|

Re: upgrading from Accumulo 1.8.1 to 1.9.2

Adam J. Shook
It is possible to do a rolling upgrade from 1.8.1 to 1.9.2 -- no need to shut down the whole cluster.  The 1.9 series is effectively a continuation of the 1.8 line, however some client methods were deprecated which caused it to be a 1.9 release per the laws of semantic versioning.  If your code is using the deprecated ClientConfiguration constructors, you'll need to update to use the new static methods before upgrading to Accumulo 2.x.  See release notes regarding the deprecated code here: https://accumulo.apache.org/release/accumulo-1.9.0/#deprecated-clientconfiguration-api-using-commons-config

Cheers,
--Adam

On Mon, Mar 18, 2019 at 2:23 PM Thomas Adam <[hidden email]> wrote:
Hi,

I was wondering if it is possible to do a rolling upgrade of Accumulo
from 1.8.1 to 1.9.2. It says that 1.9.x adds additional API calls and
bug fixes, so I wasn't sure if I need to shut down the whole cluster to
do the upgrade and it doesn't seem to mention this upgrade in the
documentation online.

Thank you for your time,

Thomas

Reply | Threaded
Open this post in threaded view
|

Re: upgrading from Accumulo 1.8.1 to 1.9.2

Thomas Adam
Adam,

Great! Thank you for the quick response and useful information.

Thomas 

On Mar 18, 2019, at 19:31, Adam J. Shook <[hidden email]> wrote:

It is possible to do a rolling upgrade from 1.8.1 to 1.9.2 -- no need to shut down the whole cluster.  The 1.9 series is effectively a continuation of the 1.8 line, however some client methods were deprecated which caused it to be a 1.9 release per the laws of semantic versioning.  If your code is using the deprecated ClientConfiguration constructors, you'll need to update to use the new static methods before upgrading to Accumulo 2.x.  See release notes regarding the deprecated code here: https://accumulo.apache.org/release/accumulo-1.9.0/#deprecated-clientconfiguration-api-using-commons-config

Cheers,
--Adam

On Mon, Mar 18, 2019 at 2:23 PM Thomas Adam <[hidden email]> wrote:
Hi,

I was wondering if it is possible to do a rolling upgrade of Accumulo
from 1.8.1 to 1.9.2. It says that 1.9.x adds additional API calls and
bug fixes, so I wasn't sure if I need to shut down the whole cluster to
do the upgrade and it doesn't seem to mention this upgrade in the
documentation online.

Thank you for your time,

Thomas